SolidIntersect Method (Point, Point, Point)

Note: This API is now obsolete.

Returns a list of plane - solid intersection points. The first item of the list contains a list of the outmost intersection polygon and the rest of the items (if there are any) inner polygons.

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.3
Syntax
[ObsoleteAttribute("Intersect is deprecated, please use IntersectAllFaces instead.")]
public ArrayList Intersect(
	Point point1,
	Point point2,
	Point point3
)

Parameters

point1
Type: Tekla.Structures.Geometry3dPoint
The first plane point.
point2
Type: Tekla.Structures.Geometry3dPoint
The second plane point.
point3
Type: Tekla.Structures.Geometry3dPoint
The third plane point.

Return Value

Type: ArrayList
An array list of intersection point lists.
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next